Subject: [bug#30598] [PATCH 0/5] gnu: Add youtube-viewer.

From: Alex Vong <[email-masked]>
Date: Tue, 27 Feb 2018 03:30:18 +0800

Marius Bakke <[email-masked]> writes:

> Alex Vong <[email-masked]> writes:
>
>> Tags: patch
>>
>> Hello,
>>
>> This patch series adds youtube-viewer and its dependencies. It can be
>> used for searching youtube videos without running javascript. It also
>> plays nice with tor which is a plus.
>
> Thanks for this series!  The patches LGTM, but can you move the perl
> packages to gtk.scm and glib.scm respectively?  That seems more
> appropriate, as we already have e.g. pygtk in gtk.scm, and also avoids
> some top-module cross-references.
>
> (Additionally, perl.scm is huge, so it's good to spread the load to
> appease the Guile compiler)
>
> Thanks in advance! :-)

(I messed up my mail settings, so I am re-sending.)

The next patch series should fix everything you've mentioned so far. I
don't understand why wrap-program is used before but now I do.

Thanks for your review also!